IDA_SIMPLE_GET(9)

NAME
ida_simple_get - get a new id.

SYNOPSIS

int ida_simple_get(struct ida * ida, unsigned int start, unsigned int end, gfp_t gfp_mask);

ARGUMENTS

ida
    the (initialized) ida.

start
    the minimum id (inclusive, < 0x8000000)

end
    the maximum id (exclusive, < 0x8000000 or 0)

gfp_mask
    memory allocation flags

DESCRIPTION

Allocates an id in the range start <= id < end, or returns -ENOSPC. On memory allocation failure, returns -ENOMEM.

Use ida_simple_remove to get rid of an id.

COPYRIGHT